Page MenuHomePhabricator

Main menu non-JavaScript behaviour regression
Closed, ResolvedPublic

Description

Our browser tests assert that Nearby, Uploads and Login should be hidden without JavaScript but this is not true on master.
These links are hidden because the first two do not work without JavaScript and login is disabled since there are no useful features for users without JavaScript.

Code should be updated to hide these links again if JS is disabled.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 10:44 PM

Change 215539 had a related patch set uploaded (by Dduvall):
QA: Temporarily skip basic site scenarios

https://gerrit.wikimedia.org/r/215539

Jdlrobson renamed this task from QA: Browser tests for non-JavaScript main menu failing to Assertions in browser tests for non-JavaScript main menu failing.Jun 2 2015, 11:05 PM
Jdlrobson set Security to None.

Change 215539 merged by jenkins-bot:
QA: Temporarily skip basic site scenarios

https://gerrit.wikimedia.org/r/215539

Jdlrobson renamed this task from Assertions in browser tests for non-JavaScript main menu failing to Main menu non-JavaScript behaviour regression.Jun 2 2015, 11:53 PM
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson updated the task description. (Show Details)
Jdlrobson triaged this task as High priority.Jun 3 2015, 4:44 PM
kaldari claimed this task.Jun 5 2015, 9:12 PM
kaldari moved this task from To Do to Doing on the Mobile-Web-Sprint-48-Voyage-of-the-Damned board.

Change 216331 had a related patch set uploaded (by Kaldari):
Hide JS-only main menu links when JavaScript is off

https://gerrit.wikimedia.org/r/216331

Change 216331 merged by jenkins-bot:
Hide JS-only main menu links when JavaScript is off

https://gerrit.wikimedia.org/r/216331

phuedx closed this task as Resolved.Jun 10 2015, 6:30 PM
phuedx removed a project: Patch-For-Review.
phuedx added a subscriber: phuedx.